Debian Bug report logs - #649861
Importing both gobject and gi.repository does not work anymore

version graph

Package: python-gobject; Maintainer for python-gobject is Josselin Mouette <joss@debian.org>; Source for python-gobject is src:pygobject.

Reported by: Andrea Veri <and@debian.org>

Date: Thu, 24 Nov 2011 11:42:19 UTC

Severity: grave

Fixed in version pygobject/3.0.2-4

Done: Josselin Mouette <joss@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#649861; Package python-gobject. (Thu, 24 Nov 2011 11:42:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrea Veri <and@debian.org>:
New Bug report received and forwarded. Copy sent to Josselin Mouette <joss@debian.org>. (Thu, 24 Nov 2011 11:42:41 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrea Veri <and@debian.org>
To: submit@bugs.debian.org
Subject: import gobject isn't working anymore
Date: Thu, 24 Nov 2011 12:42:22 +0100
[Message part 1 (text/plain, inline)]
Package: python-gobject
Severity: grave

Hi,

while checking a nautilus extension I maintain I got stuck seeing it 
being suddenly unusable after rebooting my machine after the 
20/11.

I checked around and the running nautilus with the --no-desktop flag 
took in the several problem:

:/usr/share/nautilus-python/extensions$ nautilus --no-desktop
Traceback (most recent call last):
 File "/usr/lib/python2.7/dist-packages/gi/__init__.py", line 23, in <module>
   from ._gi import _API, Repository
ImportError: could not import gobject (error was: ImportError('When 
using gi.repository you must not import static modules like "gobject". 
Please change all occurrences of "import gobject" to "from 
gi.repository import GObject".',))

After a brief talk with Joss, we came up that the 'import gobject' 
isn't working anymore, while for years the python-gobject made that 
possible. 

It has been recommended for some time to do the following 
'from gi.repository import foo', while 'import gobject' was still 
possible, now that possibility isn't working anymore.

cheers,

Andrea

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#649861; Package python-gobject. (Thu, 24 Nov 2011 11:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 649861@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Thu, 24 Nov 2011 11:54:04 GMT) Full text and rfc822 format available.

Message #10 received at 649861@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Andrea Veri <and@debian.org>, 649861@bugs.debian.org
Subject: Re: Bug#649861: import gobject isn't working anymore
Date: Thu, 24 Nov 2011 12:51:42 +0100
Le jeudi 24 novembre 2011 à 12:42 +0100, Andrea Veri a écrit : 
> After a brief talk with Joss, we came up that the 'import gobject' 
> isn't working anymore, while for years the python-gobject made that 
> possible. 
> 
> It has been recommended for some time to do the following 
> 'from gi.repository import foo', while 'import gobject' was still 
> possible, now that possibility isn't working anymore.

Actually the thing that doesn’t work anymore is to do “import gobject”
together with a “from gi.repository import Something” syntax.

This is very bad because for example in all python-nautilus examples you
have things like that:
        import gconf
        from gi.repository import Nautilus, GObject
… which obviously don’t work anymore.

We will have to keep this bug open until all rdeps have been fixed, and
this will need Breaks for all affected ones.

Thanks for your report anyway,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-





Changed Bug title to 'Importing both gobject and gi.repository does not work anymore' from 'import gobject isn't working anymore' Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Thu, 24 Nov 2011 17:48:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#649861; Package python-gobject. (Thu, 24 Nov 2011 18:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 649861@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Thu, 24 Nov 2011 18:27:03 GMT) Full text and rfc822 format available.

Message #17 received at 649861@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 649861@bugs.debian.org
Cc: Andrea Veri <and@debian.org>
Subject: Re: Bug#649861: import gobject isn't working anymore
Date: Thu, 24 Nov 2011 19:24:55 +0100
[Message part 1 (text/plain, inline)]
clone 649861 -1
retitle -1 python-nautilus broken since pygobject upgrade
reassign -1 python-nautilus
thanks

Le jeudi 24 novembre 2011 à 12:51 +0100, Josselin Mouette a écrit : 
> We will have to keep this bug open until all rdeps have been fixed, and
> this will need Breaks for all affected ones.

So, a search in the archive gives me two affected packages:
python-nautilus and totem-plugins.

The totem-plugins bug looks pretty much like #649755. It will be fixed
in totem 3.2 which will be uploaded soon. I don’t think it should be RC
given the low importance of the affected plugins. This will avoid
blocking the tracker, gnome-desktop and evolution transitions. 

-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-
[signature.asc (application/pgp-signature, inline)]

Bug 649861 cloned as bug 649910. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Thu, 24 Nov 2011 18:27:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 25 Nov 2011 07:06:04 GMT) Full text and rfc822 format available.

Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Fri, 25 Nov 2011 22:13:02 GMT) Full text and rfc822 format available.

Notification sent to Andrea Veri <and@debian.org>:
Bug acknowledged by developer. (Fri, 25 Nov 2011 22:13:03 GMT) Full text and rfc822 format available.

Message #26 received at 649861-close@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 649861-close@bugs.debian.org
Subject: Bug#649861: fixed in pygobject 3.0.2-4
Date: Fri, 25 Nov 2011 21:49:17 +0000
Source: pygobject
Source-Version: 3.0.2-4

We believe that the bug you reported is fixed in the latest version of
pygobject, which is due to be installed in the Debian FTP archive:

pygobject_3.0.2-4.debian.tar.gz
  to main/p/pygobject/pygobject_3.0.2-4.debian.tar.gz
pygobject_3.0.2-4.dsc
  to main/p/pygobject/pygobject_3.0.2-4.dsc
pygobject_3.0.2.orig.tar.xz
  to main/p/pygobject/pygobject_3.0.2.orig.tar.xz
python-gi-cairo_3.0.2-4_amd64.deb
  to main/p/pygobject/python-gi-cairo_3.0.2-4_amd64.deb
python-gi-dbg_3.0.2-4_amd64.deb
  to main/p/pygobject/python-gi-dbg_3.0.2-4_amd64.deb
python-gi-dev_3.0.2-4_all.deb
  to main/p/pygobject/python-gi-dev_3.0.2-4_all.deb
python-gi_3.0.2-4_amd64.deb
  to main/p/pygobject/python-gi_3.0.2-4_amd64.deb
python-gobject-dbg_3.0.2-4_all.deb
  to main/p/pygobject/python-gobject-dbg_3.0.2-4_all.deb
python-gobject-dev_3.0.2-4_all.deb
  to main/p/pygobject/python-gobject-dev_3.0.2-4_all.deb
python-gobject_3.0.2-4_all.deb
  to main/p/pygobject/python-gobject_3.0.2-4_all.deb
python3-gi-dbg_3.0.2-4_amd64.deb
  to main/p/pygobject/python3-gi-dbg_3.0.2-4_amd64.deb
python3-gi_3.0.2-4_amd64.deb
  to main/p/pygobject/python3-gi_3.0.2-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 649861@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Josselin Mouette <joss@debian.org> (supplier of updated pygobject package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 24 Nov 2011 18:43:28 +0100
Source: pygobject
Binary: python-gi python3-gi python-gi-cairo python-gi-dbg python3-gi-dbg python-gi-dev python-gobject python-gobject-dbg python-gobject-dev
Architecture: source amd64 all
Version: 3.0.2-4
Distribution: unstable
Urgency: low
Maintainer: Josselin Mouette <joss@debian.org>
Changed-By: Josselin Mouette <joss@debian.org>
Description: 
 python-gi  - Python 2.x bindings for gobject-introspection libraries
 python-gi-cairo - Python Cairo bindings for the GObject library
 python-gi-dbg - Python bindings for the GObject library (debug extension)
 python-gi-dev - development headers for GObject Python bindings
 python-gobject - Python 2.x bindings for GObject - transitional package
 python-gobject-dbg - Python 2.x debugging modules for GObject - transitional package
 python-gobject-dev - Python 2.x development headers for GObject - transitional package
 python3-gi - Python 3 bindings for gobject-introspection libraries
 python3-gi-dbg - Python 3 bindings for gobject-introspection libraries (debug exte
Closes: 649611 649861
Changes: 
 pygobject (3.0.2-4) unstable; urgency=low
 .
   [ Sjoerd Simons ]
   * debian/control.in: Make the Vcs-* tags refer to the unstable repos
 .
   [ Martin Pitt ]
   * debian/control.in: Drop gir1.2-gtk-3.0 build dependency on m68k, as that
     arch does not yet have GTK-3 yet. It is only needed for the testsuite
     anyway. As per request from Thorsten Glaser.
 .
   [ Josselin Mouette ]
   * Bump dependencies on gir1.2-glib-2.0 according to upstream
     requirements. Closes: #649611.
   * Rename packages to python-gi*.
   * Remove dependencies on python-gobject-2*. The dependency will be the
     other way round so that the old pygobject-2 can be dropped
     eventually.
   * Add appropriate Breaks/Replaces/Conflicts/Provides.
   * Add a missing python-gi-cairo → python-gi dependency.
   * Drop a pair of unneeded Recommends/Suggests.
   * Add transitional python-gobject/python-gobject-dev packages that
     depend on both python-gi* and python-gobject-2*.
   * Same for python-gobject-dbg.
   * Break python-nautilus <= the current version which is broken by
     pygobject 3.x. Closes: #649861. The only other affected package is
     totem-plugins and the issue is not severe enough to warrant blocking
     the ongoing transitions.
Checksums-Sha1: 
 bbbe199823f1c3b6929409fc78c054fc21f79e84 2174 pygobject_3.0.2-4.dsc
 6bb3cd5977d6992792cbfabc919b5b46bb8c2a8f 545072 pygobject_3.0.2.orig.tar.xz
 70360b9534faa03b351003037296e409bfba0816 17726 pygobject_3.0.2-4.debian.tar.gz
 be9d58afe4bacd972c8d26ece4ee2d4fdd3bb41b 498946 python-gi_3.0.2-4_amd64.deb
 7d168628471093dd8aabaa2a7fbf2acaa71bf674 332810 python3-gi_3.0.2-4_amd64.deb
 936e7ff1f26b1d71715c44c29ea4859d7270bff9 148756 python-gi-cairo_3.0.2-4_amd64.deb
 d8b4ecbba094d49f47f03191c3886a1eacdee91d 1471794 python-gi-dbg_3.0.2-4_amd64.deb
 129b87ab9364e9e00be1f2befc9bfc6451e32e8b 959160 python3-gi-dbg_3.0.2-4_amd64.deb
 78081382e6c84673e14dfe2e6e914330f1780b6d 152360 python-gi-dev_3.0.2-4_all.deb
 df6ac0df776c908fdde51975a97ef13be24146af 145410 python-gobject_3.0.2-4_all.deb
 e44c24c3b20d676fcb787133df473b08dc370314 145426 python-gobject-dbg_3.0.2-4_all.deb
 eeae5b4e3ec97f1e8a15239b4a0331b1e54ac5d1 145422 python-gobject-dev_3.0.2-4_all.deb
Checksums-Sha256: 
 720e7a251381b0e589d0698fae1e7f1d080b386f3fb7a04ecc3462bc12f71e6e 2174 pygobject_3.0.2-4.dsc
 e1eccc37afd2d4cbeb329b92ce3d71287d662dc2fec430c08a0471153e52a462 545072 pygobject_3.0.2.orig.tar.xz
 84244fe711440077e31ab2e18928fd85cef5c515ad74a576d22fed41e6665671 17726 pygobject_3.0.2-4.debian.tar.gz
 c25850e4eaa8ce0b3c7ccf3d72de2fca4b9f169f157f49071104a625cd92921d 498946 python-gi_3.0.2-4_amd64.deb
 f3ed2474fd25713d830b9099f3a7e940678000da888968c9c0484690a2df7d37 332810 python3-gi_3.0.2-4_amd64.deb
 42ab1c1ec92dcb98f942de98ba6b64f4ab45f96a08219a8164cd4dda25e781b1 148756 python-gi-cairo_3.0.2-4_amd64.deb
 b0da1ce57d804a016447f352a1ee2f32ab326f63ee55f7dbf34ed37fe73e7a75 1471794 python-gi-dbg_3.0.2-4_amd64.deb
 fd53cea1624c81ae03a23979a25204f5a40fef5302b5ed3c751a58faeb70c3b4 959160 python3-gi-dbg_3.0.2-4_amd64.deb
 a19ed571868c39eef4ffecf5b9b889f1f851f751592e1404ac229a0e4c455c5d 152360 python-gi-dev_3.0.2-4_all.deb
 80913dc9efa86f05c293a0f46b0e148a25b683a5c6b0e5285ed5dfd57118e4b7 145410 python-gobject_3.0.2-4_all.deb
 afc5e66c49e5828738f207c9ae9ad36582a8c1c40492c6ac6850b3b9bb42de01 145426 python-gobject-dbg_3.0.2-4_all.deb
 d651cf6bf274c6e9be57800cbb8159e4b284c272f430cdd3b5d2c0a779efdbc2 145422 python-gobject-dev_3.0.2-4_all.deb
Files: 
 220a7edd27cbbbca873b39fafb388333 2174 python optional pygobject_3.0.2-4.dsc
 63762bc671943550fc553fbc59d831fb 545072 python optional pygobject_3.0.2.orig.tar.xz
 a51967434fcde64e61176f1c12b082a8 17726 python optional pygobject_3.0.2-4.debian.tar.gz
 0a0d0b8eee76c8735bf20891c578043b 498946 python optional python-gi_3.0.2-4_amd64.deb
 4a5209b5a8facfd85ae6a7fad1a00248 332810 python optional python3-gi_3.0.2-4_amd64.deb
 b1b5c581f06fd76b301297328e5510b6 148756 python optional python-gi-cairo_3.0.2-4_amd64.deb
 8a93eb63c61998c87e2534c6d37da2b8 1471794 debug extra python-gi-dbg_3.0.2-4_amd64.deb
 7d98f852f55ed386ff422ee3cae06e02 959160 debug extra python3-gi-dbg_3.0.2-4_amd64.deb
 2d32d7682b9d8141719369dbc665c028 152360 python optional python-gi-dev_3.0.2-4_all.deb
 4999a4a556c95943d3c63037d207b4bc 145410 python optional python-gobject_3.0.2-4_all.deb
 2a7599d3ff25d87699e3a2f65b92c12b 145426 python optional python-gobject-dbg_3.0.2-4_all.deb
 2277179404ec22a59826b44348ad0e27 145422 python optional python-gobject-dev_3.0.2-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFOzrnXrSla4ddfhTMRAuxUAJ9mOYhBAdB69p0zceeDJjJme55jiwCfZ1fm
wYOTtQxt8knhKehIXngQrA8=
=E59p
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 08:07:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:22:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.